Bug 116117 - 2 Items that can't be published
2 Items that can't be published
Status: CLOSED WONTFIX
Product: Red Hat Enterprise CMS
Classification: Retired
Component: APLAWS (Show other bugs)
nightly
All Linux
medium Severity medium
: ---
: ---
Assigned To: Daniel Berrange
Daniel Berrange
:
Depends On: 116119
Blocks:
  Show dependency treegraph
 
Reported: 2004-02-18 08:19 EST by Arturo Dell
Modified: 2007-04-18 13:03 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-09-02 13:15:24 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Arturo Dell 2004-02-18 08:19:23 EST
Description of problem: There are two items in the Camden production 
server which were cannot be published:

/redirect?oid=
[com.arsdigita.cms.contenttypes.MultiPartArticle:id=10145}]
&context=live
/redirect?oid=[com.arsdigita.cms.contenttypes.Article:{id=10190}]
&context=live



Version-Release number of selected component (if applicable):


How reproducible: Always


Steps to Reproduce:

1. Locate 
http://youth.aplaws.org.uk/ccm/content/preview/environment/planning-
and-built-environment/introduction-to-planning/our-service-offer-to-
you.en

or

http://youth.aplaws.org.uk/ccm/content/preview/environment/planning-
and-built-environment/introduction-to-planning/planning---links-to-
other-sites.en

on the backend

2. Go to the publishing tab
3. Click on 'publish this item'
  
Actual results:

CCM issue report code: 194.202.210.41:15c66993:fac819ed0d

-*-*-*-*-*- Begin Error Report -*-*-*-*-*-
-*-*-*- ACS Error Report Code: 194.202.210.41:15c66993:fac819ed0d -*-
*-*-
-*-*-*- Message 1: com.caucho.jsp.JspLineException: null (root cause: 
null) -*-*-*-
-*-*-*- Message 2: com.arsdigita.cms.lifecycle.PublishingException: 
null (root cause: null) -*-*-*-
-*-*-*- Message 3: java.lang.NullPointerException: null -*-*-*-


Expected results: Published Item
Comment 1 Daniel Berrange 2004-02-18 08:29:22 EST
This appears to be caused by a null 'type_id' field in cms_items.
Comment 2 Daniel Berrange 2006-09-02 13:15:24 EDT
Closing old bug

Note You need to log in before you can comment on or make changes to this bug.